Bug 54695 - 3.6.2.0+ FILEOPEN shows all charts anchored to page moved at the top left corner of the sheet
Summary: 3.6.2.0+ FILEOPEN shows all charts anchored to page moved at the top left cor...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: x86-64 (AMD64) All
: medium critical
Assignee: Noel Power
QA Contact:
URL:
Whiteboard: target:3.6.2
Keywords: regression
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-09-09 15:47 UTC by Jean-Baptiste Faure
Modified: 2012-09-10 14:17 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2012-09-09 15:47:26 UTC
Steps to reproduce:
- open https://bugs.freedesktop.org/attachment.cgi?id=48323 with LO 3.6.1 : you can see several charts
- opens the same file with LO 3.6.2.0+  (Build ID: bb1511c) ==> all charts are moved at the top left of the sheet on each other.
- save the file under another name, close the file
- reopen the file with LO 3.6.1 ==> all charts are distorted.

I think the bug was introduced probably after 2012-08-11 because it is the date of the last non corrupted copy of the first file were I saw the bug.

Best regards. JBF
Comment 1 Jean-Baptiste Faure 2012-09-09 15:51:19 UTC
I did a fresh build (make clean before make dev-install) before filling this bug report.
Tested on Ubuntu 12.04 x86_64 with gnome-shell.

Best regards. JBF
Comment 2 Jean-Baptiste Faure 2012-09-09 16:15:31 UTC
Same problem with the current daily build  (Version 3.6.2.0+ (Build ID: bb1511c)) from http://dev-builds.libreoffice.org/daily/Linux-x86_64_11-Release-Configuration/libreoffice-3-6/2012-09-07_23.32.02/
Comment 3 Jean-Baptiste Faure 2012-09-09 18:01:37 UTC
Hi Kohei, Markus,
I think this one may be interesting for you. :-)

Best regards. JBF
Comment 4 Rainer Bielefeld Retired 2012-09-09 18:08:32 UTC
[Reproducible] with reporter's sample (and own existing documents) and  Server Installation of  "LibreOffice  3.6.2.0+  English UI/ German Locale [Build-ID:  6781ee7] on German WIN7 Home Premium (64bit)  {tinderbox: Win-x86@9, pull time2012-08-31 19:54:09}.

Charts anchored to cell are at top left corner of sheet when document opened, charts anchored to Page keep their correct place

NOT reproducible with  "LibreOffice 3.6.1.2  German UI/ German Locale [Build-ID:  e29a214] on German WIN7 Home Premium (64bit), I see 4 charts below rows 62, 86, 112, 139 , also  NOT reproducible with parallel installation of Master "LOdev  3.7.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: 6cad15d]"  {tinderbox: @6, pull time 2012-09-03 23:08:07} on German WIN7 Home Premium (64bit)  (installation without Base)

There also are problems with editing documents with charts with a.m.  3.6.2.0+, when I had moved some charts, closed and reopened 2 charts were missing, but I did not test that systematically.

I did not yet test what happens when save with  3.6.2.0+ and reopen with 3.6.1
Comment 5 Jean-Baptiste Faure 2012-09-09 20:17:59 UTC
Not reproducible with master : 3.7.0.0.alpha0+ (Build ID: 8bed420) under Ubuntu 12.04 x86_64.
So bug LO 3.6.2.0+ only.

Best regards. JBF
Comment 6 Petr Mladek 2012-09-10 07:58:22 UTC
Kohei, Marcus, Eike, could you please have a look?
Comment 7 Noel Power 2012-09-10 11:21:48 UTC
strange my libreoffice-3-6 tree is from aug-28 and it doesn't exhibit this problem ( unless I am doing something weird ) e.g. the sample file opens and looks the same as it does in 3.5, a version of the document saved with 3.6 also looks ok when opened in 3.5.
Comment 8 Noel Power 2012-09-10 12:56:21 UTC
aha, I think we need to cherry-pick 4606ca07de17c930b658206a19446516cf0d4eb7 from master
Comment 9 Not Assigned 2012-09-10 13:38:10 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89e34ef5e4ff5efc202656bd9a2122745fdc6530&g=libreoffice-3-6

Calculate positions of cell-anchored objects upon ods import (fdo#54695)


It will be available in LibreOffice 3.6.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Jean-Baptiste Faure 2012-09-10 14:17:04 UTC
Verified in LO 3.6.2.0+ (Build ID: 89e34ef)
Thank you very much for the quick fix.

Best regards. JBF